Page MenuHomePhabricator

Decommission db2053.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2053.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2053
Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - Label disk #1 as broken so it doesn't get re-used again
  • - Label disk #4 as broken so it doesn't get re-used again
  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Aug 28 2019, 6:25 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 532856 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] db2053: Disable notifications

https://gerrit.wikimedia.org/r/532856

Change 532856 merged by Marostegui:
[operations/puppet@production] db2053: Disable notifications

https://gerrit.wikimedia.org/r/532856

Change 532857 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2053 from config

https://gerrit.wikimedia.org/r/532857

Marostegui updated the task description. (Show Details)Aug 28 2019, 6:32 AM

Change 532857 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2053 from config

https://gerrit.wikimedia.org/r/532857

Mentioned in SAL (#wikimedia-operations) [2019-08-28T06:34:41Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2053 from config T231407 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2019-08-28T06:35:39Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2053 from config T231407 (duration: 00m 53s)

Change 533139 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2053

https://gerrit.wikimedia.org/r/533139

Marostegui updated the task description. (Show Details)Aug 29 2019, 4:56 AM
Marostegui updated the task description. (Show Details)

Change 533139 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2053

https://gerrit.wikimedia.org/r/533139

Mentioned in SAL (#wikimedia-operations) [2019-08-29T04:59:06Z] <marostegui> Remove db2053 from tendril and zarcillo T231407

Mentioned in SAL (#wikimedia-operations) [2019-08-29T05:00:36Z] <marostegui> Stop MySQL on db2053 for decommission T231407

Marostegui reassigned this task from Marostegui to RobH.Aug 29 2019, 5:01 AM
Marostegui updated the task description. (Show Details)
Marostegui added a project: DC-Ops.

This host is ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Oct 10 2019, 1:31 AM

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2053.codfw.wmnet

  • db2053.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 544611 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove db2053 from puppet

https://gerrit.wikimedia.org/r/544611

Change 544612 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS entries for db2053

https://gerrit.wikimedia.org/r/544612

Change 544611 merged by Marostegui:
[operations/puppet@production] site.pp: Remove db2053 from puppet

https://gerrit.wikimedia.org/r/544611

Change 544612 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS entries for db2053

https://gerrit.wikimedia.org/r/544612

Marostegui reassigned this task from RobH to Papaul.Oct 21 2019, 5:33 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for on-site steps and switch disablement

papaul@asw-d-codfw# show | compare 
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/1;
[edit interfaces interface-range disabled]
     member ge-6/0/8 { ... }
+    member ge-6/0/1;
[edit interfaces]
-   ge-6/0/1 {
-       description db2053;
-       enable;
-   }
Papaul updated the task description. (Show Details)Oct 28 2019, 2:03 PM
Papaul updated the task description. (Show Details)Oct 31 2019, 3:19 PM
Papaul updated the task description. (Show Details)Oct 31 2019, 9:34 PM

Change 547663 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2052,db2053.db2059 and db2060

https://gerrit.wikimedia.org/r/547663

Change 547663 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2052,db2053.db2059 and db2060

https://gerrit.wikimedia.org/r/547663

Papaul closed this task as Resolved.Oct 31 2019, 9:51 PM
Papaul updated the task description. (Show Details)

complete

DannyS712 added a subscriber: DannyS712.

[batch] remove patch for review tag from resolved tasks